
Foreman - Bug #5696

Migration of Admin users from 1.4 -> 1.5 results in "Role Name_username" roles that cannot be

removed and cleaned up.

05/13/2014 03:25 PM - Derek Wright

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Users, Roles and Permissions   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link: 1105570 Red Hat JIRA:  

Pull request:    

Description

Initially produced by exporting prod Foreman 1.4.2 DB into vagrant instance for upgrade testing. After upgrading vagrant instance to

1.5, users marked as Admin had migration roles created but no "Roles" tab under their username to clean up the old roles. Migration

may need to skip users marked as "Admin" or, before migration, remove Admin role from users (other than the Foreman default user

admin).

Related issues:

Has duplicate Foreman - Bug #5695: Administrator checkbox is not visible when... Duplicate 05/13/2014

Has duplicate Foreman - Bug #6259: Administrator user privileges cannot be de... Duplicate 06/17/2014

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 78ccb985 - 05/27/2014 01:11 PM - Marek Hulán

Fixes #5696 - Allow taxonomy and roles display

Revision be5fff8c - 06/11/2014 01:02 PM - Marek Hulán

Fixes #5696 - Allow taxonomy and roles display

(cherry picked from commit 78ccb98504de455dcfa113df52f54f890a511ec4)

History

#1 - 05/13/2014 03:26 PM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 05/13/2014 03:26 PM - Dominic Cleal

- Category set to DB migrations

#3 - 05/14/2014 01:18 PM - Derek Wright

Also another note, when setting Admin on an individual user after the Upgrade to 1.5, their roles tab is no longer available. There is no way (that I can

see in the UI) to remove admin privs from that user afterwards.

#4 - 05/14/2014 03:04 PM - Marek Hulán

- Category changed from DB migrations to Users, Roles and Permissions

- Status changed from New to Assigned

- Assignee set to Marek Hulán

- Target version set to 1.8.3

The problem is that we don't display form in case when we try to edit another admin user or we try to edit our own profile. Which is definitely a bug

because there is no way to modify admin's permissions/orgs/locs. It's not related to new permissions, this was added in 

https://github.com/theforeman/foreman/pull/1191 not sure why yet. Is the correct behaviour to display it to anybody with :edit_users permission on a

particular user maybe even if I'm editing myself?

05/11/2024 1/2

https://github.com/theforeman/foreman/pull/1191


#5 - 05/14/2014 03:21 PM - Marek Hulán

- Status changed from Assigned to Ready For Testing

If this is the case, here's PR https://github.com/theforeman/foreman/pull/1447

#6 - 05/19/2014 12:39 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#7 - 05/27/2014 01:12 PM - Dominic Cleal

- translation missing: en.field_release set to 16

#8 - 05/27/2014 01:31 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 78ccb98504de455dcfa113df52f54f890a511ec4.

#9 - 06/06/2014 12:36 PM - Dominic Cleal

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1105570

#10 - 06/06/2014 01:19 PM - Dominic Cleal

- Has duplicate Bug #5695: Administrator checkbox is not visible when editing a user added

#11 - 06/18/2014 08:09 AM - Dominic Cleal

- Has duplicate Bug #6259: Administrator user privileges cannot be demoted added
